/experimental/catalog/ingestion/{ingestion-id}/reports/summary
curl --request GET \
--url https://api.criteo.com/experimental/catalog/ingestion/{ingestion-id}/reports/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/experimental/catalog/ingestion/{ingestion-id}/reports/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/experimental/catalog/ingestion/{ingestion-id}/reports/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"componentId": "<string>",
"dataQuality": {
"errors": {
"invalidGoogleProductCategory": 123,
"invalidGtin": 123,
"missingDescription": 123,
"missingImageLink": 123,
"missingLink": 123,
"missingPrice": 123,
"missingTitle": 123,
"productsWithInvalidCrossSellersProductId": 123,
"productsWithInvalidExternalId": 123,
"productsWithInvalidItemGroupId": 123,
"productsWithInvalidSellerId": 123,
"productsWithInvalidSellerName": 123
},
"quality": {
"qualityDecision": "accepted",
"score": 123,
"threshold": 123
},
"summary": {
"totalErrors": 123,
"totalWarnings": 123
},
"warnings": {
"missingBrand": 123,
"missingGoogleProductCategory": 123,
"missingGtin": 123,
"missingMpn": 123
}
},
"delta": {
"addedOffers": 123,
"deletedOffers": 123,
"unchangedOffers": 123,
"updatedOffers": 123
},
"duration": "<string>",
"endTime": "2023-11-07T05:31:56Z",
"error": {
"code": "<string>",
"message": "<string>"
},
"ingestionStatus": "inProgress",
"ingestionType": "catalogImport",
"merchantId": "<string>",
"merchantName": "<string>",
"multiSource": {
"attributeDetails": {},
"configuration": {
"attributeMappings": [
{
"attributeName": "<string>",
"sourceComponentId": 123,
"sourceField": "<string>",
"sourcePriority": 123
}
],
"enabled": true,
"mainComponentId": 123,
"matchingKeys": [
"<string>"
],
"sourcesCount": 123
},
"impact": {
"productsEnriched": 123,
"productsEvaluated": 123,
"productsMatched": 123,
"productsModified": 123,
"productsUnmatched": 123
}
},
"multiSourceReportingStatus": "notEnabled",
"startTime": "2023-11-07T05:31:56Z",
"trigger": {
"initiatedBy": "<string>",
"type": "manual"
},
"volume": {
"multisourceProducts": 123,
"totalOffers": 123,
"totalParentOffers": 123,
"totalSingleOffers": 123,
"totalVariantOffers": 123
}
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/experimental/catalog/ingestion/{ingestion-id}/reports/summary
Get the summary report of a catalog ingestion: what triggered it, how long it ran, how many offers it held, what it changed and how clean the data was.
GET
/
experimental
/
catalog
/
ingestion
/
{ingestion-id}
/
reports
/
summary
/experimental/catalog/ingestion/{ingestion-id}/reports/summary
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Identifies the catalog ingestion to report on.
Response
200 - application/json
object | null
The summary report of the ingestion.
Was this page helpful?